summaryrefslogtreecommitdiff
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2016-10-30 02:08:15 -0700
committerGuy Harris <guy@alum.mit.edu>2016-10-30 09:09:01 +0000
commit211f321f8530dae7cb2cdd1cbf6c659437dfba26 (patch)
tree9041327a8e3af3d2dd96272923c584c4eed42305 /macosx-setup.sh
parent670a37336910ebaa3f12eaeef14af504e2fdcbcd (diff)
downloadwireshark-211f321f8530dae7cb2cdd1cbf6c659437dfba26.tar.gz
Update libssh to 0.7.3.
Also, don't try to uninstall it, as CMake helpfully provides no uninstall target. Change-Id: I936a8adeecc3c1f0ca71d044467846ffc33ae7b2 Reviewed-on: https://code.wireshark.org/review/18574 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh21
1 files changed, 3 insertions, 18 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index ebf687cc54..aa40c1e09a 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -137,7 +137,7 @@ GEOIP_VERSION=1.4.8
CARES_VERSION=1.12.0
-LIBSSH_VERSION=0.7.2
+LIBSSH_VERSION=0.7.3
NGHTTP2_VERSION=1.14.0
@@ -1473,7 +1473,7 @@ uninstall_c_ares() {
install_libssh() {
if [ "$LIBSSH_VERSION" -a ! -f libssh-$LIBSSH_VERSION-done ] ; then
echo "Downloading, building, and installing libssh:"
- [ -f libssh-$LIBSSH_VERSION.tar.xz ] || curl -L -O https://red.libssh.org/attachments/download/177/libssh-$LIBSSH_VERSION.tar.xz || exit 1
+ [ -f libssh-$LIBSSH_VERSION.tar.xz ] || curl -L -O https://red.libssh.org/attachments/download/195/libssh-$LIBSSH_VERSION.tar.xz || exit 1
xzcat libssh-$LIBSSH_VERSION.tar.xz | tar xf - || exit 1
cd libssh-$LIBSSH_VERSION
mkdir build
@@ -1488,22 +1488,7 @@ install_libssh() {
uninstall_libssh() {
if [ ! -z "$installed_libssh_version" ] ; then
- echo "Uninstalling libssh:"
- cd libssh-$installed_libssh_version
- $DO_MAKE_UNINSTALL || exit 1
- make distclean || exit 1
- cd ..
- rm libssh-$installed_libssh_version-done
-
- if [ "$#" -eq 1 -a "$1" = "-r" ] ; then
- #
- # Get rid of the previously downloaded and unpacked version.
- #
- rm -rf libssh-$installed_libssh_version
- rm -rf libssh-$installed_libssh_version.tar.xz
- fi
-
- installed_libssh_version=""
+ echo "Sadly, libssh uses cmake, and doesn't support uninstall."
fi
}